
Foreman - Bug #13577

facts view gives a undefined method `length' for nil:NilClass

02/05/2016 08:13 AM - Elias Abacioglu

Status: Closed   

Priority: Normal   

Assignee:    

Category: Facts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

going to foreman/fact_values results in a "undefined method `length' for nil:NilClass".

Runing foreman 1.10.1, ruby 1.9.1, via passenger.

Using foreman chef plugin.

Attaching error log.

History

#1 - 02/05/2016 08:20 AM - Dominic Cleal

It's hard to tell if this is a bug in the Chef fact importer or Foreman core.  The value of a fact is nil, so either one is being imported that's nil (and it

shouldn't) or Foreman should handle nil values better.

You may want to check the fact_values DB table to see if you can find one with a NULL value, which might shed some light on whether it's valid or

not.

#2 - 02/06/2016 08:24 AM - Elias Abacioglu

- File Screen Shot 2016-02-06 at 14.22.01.png added

There are loads of facts that have a null value.

Here is a small excerpt(screenshot) of some null facts.

#3 - 05/20/2017 08:12 AM - Anonymous

What's the status here with current versions?

#4 - 06/02/2017 06:54 PM - Anonymous

- Status changed from New to Feedback

#5 - 06/05/2017 09:08 AM - Elias Abacioglu

Hmm, will have to wait a bit, currently turned off reporting of facts.

I will need to migrate our MariaDB cluster to physical nodes before I turn on reporting.

#6 - 10/01/2017 08:57 AM - Elias Abacioglu

- Status changed from Feedback to Closed

Appears to be workning now.

Thanks, closing this issue.
